summaryrefslogtreecommitdiffstats
path: root/source/x/libvdpau
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-08-30 18:50:32 +0000
committer Eric Hameleers <alien@slackware.com>2019-08-31 08:59:46 +0200
commitbfb7494122bbe72a83747ff11d0f7497e9b50e1e (patch)
tree445109bfc9c568d912036a89b655f55ee267a847 /source/x/libvdpau
parent0b228c957620e1f1cd1b9ef86f2b1f0b9c104b6f (diff)
downloadcurrent-bfb7494122bbe72a83747ff11d0f7497e9b50e1e.tar.gz
current-bfb7494122bbe72a83747ff11d0f7497e9b50e1e.tar.xz
Fri Aug 30 18:50:32 UTC 201920190830185032
a/bash-5.0.011-x86_64-1.txz: Upgraded. a/findutils-4.7.0-x86_64-1.txz: Upgraded. ap/squashfs-tools-4.4-x86_64-1.txz: Upgraded. n/irssi-1.2.2-x86_64-1.txz: Upgraded. This update fixes a security issue: Use after free when receiving duplicate CAP found by Joseph Bisch. For more information, see: https://irssi.org/security/html/irssi_sa_2019_08 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-15717 (* Security fix *) x/libvdpau-1.3-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/x/libvdpau')
-rwxr-xr-xsource/x/libvdpau/libvdpau.SlackBuild29
1 files changed, 18 insertions, 11 deletions
diff --git a/source/x/libvdpau/libvdpau.SlackBuild b/source/x/libvdpau/libvdpau.SlackBuild
index fada6f7a9..c67cc1ed5 100755
--- a/source/x/libvdpau/libvdpau.SlackBuild
+++ b/source/x/libvdpau/libvdpau.SlackBuild
@@ -78,20 +78,27 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --disable-static \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la